package ru.yandex.atom.utils

import scala.collection.IterableLike

/**
 * @author avhaliullin
 */
package object collection {

  implicit class RichIterableLike[T, Repr](val iterable: IterableLike[T, Repr]) extends AnyVal {
    def dequeue: (T, Repr) = {
      iterable.head -> iterable.tail
    }
  }

}
